LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Friends | List of all members
osl::VolumeInfo Class Reference

The VolumeInfo class. More...

`#include <file.hxx>`

## Public Member Functions
| VolumeInfo (sal_uInt32 nMask)
| Constructor. More...
| ~VolumeInfo ()
| Destructor. More...
sal_Bool | isValid (sal_uInt32 nMask) const
| Check if specified fields are valid. More...
sal_Bool | getRemoteFlag () const
| Check the remote flag. More...
sal_Bool | getRemoveableFlag () const
| Check the removeable flag. More...
sal_Bool | getCompactDiscFlag () const
| Check the compact disc flag. More...
sal_Bool | getFloppyDiskFlag () const
| Check the floppy disc flag. More...
sal_Bool | getFixedDiskFlag () const
| Check the fixed disk flag. More...
sal_Bool | getRAMDiskFlag () const
| Check the RAM disk flag. More...
sal_uInt64 | getTotalSpace () const
| Determine the total space of a volume device. More...
sal_uInt64 | getFreeSpace () const
| Determine the free space of a volume device. More...
sal_uInt64 | getUsedSpace () const
| Determine the used space of a volume device. More...
sal_uInt32 | getMaxNameLength () const
| Determine the maximal length of a file name. More...
sal_uInt32 | getMaxPathLength () const
| Determine the maximal length of a path name. More...
inline::rtl::OUString | getFileSystemName () const
| Determine the name of the volume device's File System. More...
VolumeDevice | getDeviceHandle () const
| Get the volume device handle. More...
bool | isCaseSensitiveFileSystem () const
| Return whether the file system is case sensitive or case insensitive. More...
bool | isCasePreservingFileSystem () const
| Return whether the file system preserves the case of file and directory names or not. More...

## Friends
class | Directory

## Detailed Description

The VolumeInfo class.

Neither copy nor assignment is allowed for this class.

See Also
  Directory::getVolumeInfo

## Constructor & Destructor Documentation

osl::VolumeInfo::VolumeInfo | ( | sal_uInt32 | nMask | ) |
| inline

Constructor.

Parameters

  nMask | Set of flags decribing the demanded information.

osl::VolumeInfo::~VolumeInfo | ( |  | ) |
| inline

Destructor.

## Member Function Documentation

sal_Bool osl::VolumeInfo::getCompactDiscFlag | ( |  | ) | const
| inline

Check the compact disc flag.

Returns
  sal_True if attributes are valid and the volume is a CDROM else sal_False.

VolumeDevice osl::VolumeInfo::getDeviceHandle | ( |  | ) | const
| inline

Get the volume device handle.

Returns
  The device handle of the volume if this information is valid, otherwise returns NULL;

inline ::rtl::OUString osl::VolumeInfo::getFileSystemName | ( |  | ) | const
| inline

Determine the name of the volume device's File System.

Returns
  The name of the volume's fielsystem if this information is valid, otherwise an empty string.

sal_Bool osl::VolumeInfo::getFixedDiskFlag | ( |  | ) | const
| inline

Check the fixed disk flag.

Returns
  sal_True if attributes are valid and the volume is a fixed disk else sal_False.

sal_Bool osl::VolumeInfo::getFloppyDiskFlag | ( |  | ) | const
| inline

Check the floppy disc flag.

Returns
  sal_True if attributes are valid and the volume is a floppy disk else sal_False.

sal_uInt64 osl::VolumeInfo::getFreeSpace | ( |  | ) | const
| inline

Determine the free space of a volume device.

Returns
  The free diskspace of this volume if this information is valid, 0 otherwise.

sal_uInt32 osl::VolumeInfo::getMaxNameLength | ( |  | ) | const
| inline

Determine the maximal length of a file name.

Returns
  The maximal length of a file name if this information is valid, 0 otherwise.

sal_uInt32 osl::VolumeInfo::getMaxPathLength | ( |  | ) | const
| inline

Determine the maximal length of a path name.

Returns
  The maximal length of a path if this information is valid, 0 otherwise.

sal_Bool osl::VolumeInfo::getRAMDiskFlag | ( |  | ) | const
| inline

Check the RAM disk flag.

Returns
  sal_True if attributes are valid and the volume is a RAM disk else sal_False.

sal_Bool osl::VolumeInfo::getRemoteFlag | ( |  | ) | const
| inline

Check the remote flag.

Returns
  sal_True if Attributes are valid and the volume is remote else sal_False.

sal_Bool osl::VolumeInfo::getRemoveableFlag | ( |  | ) | const
| inline

Check the removeable flag.

Returns
  sal_True if attributes are valid and the volume is removable else sal_False.

sal_uInt64 osl::VolumeInfo::getTotalSpace | ( |  | ) | const
| inline

Determine the total space of a volume device.

Returns
  The total diskspace of this volume if this information is valid, 0 otherwise.

sal_uInt64 osl::VolumeInfo::getUsedSpace | ( |  | ) | const
| inline

Determine the used space of a volume device.

Returns
  The used diskspace of this volume if this information is valid, 0 otherwise.

bool osl::VolumeInfo::isCasePreservingFileSystem | ( |  | ) | const
| inline

Return whether the file system preserves the case of file and directory names or not.

Returns
  true if the file system preserves the case of file and directory names false otherwise

bool osl::VolumeInfo::isCaseSensitiveFileSystem | ( |  | ) | const
| inline

Return whether the file system is case sensitive or case insensitive.

Returns
  true if the file system is case sensitive false otherwise

sal_Bool osl::VolumeInfo::isValid | ( | sal_uInt32 | nMask | ) | const
| inline

Check if specified fields are valid.

Parameters

  nMask | Set of flags for the fields to check.

Returns
  sal_True if all fields are valid else sal_False.

## Friends And Related Function Documentation

friend class Directory
| friend

The documentation for this class was generated from the following file:

- osl/file.hxx